GNU bug report logs - #52758
29.0.50; Fido mode doesn't complete ssh hosts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bird <birdsite@HIDDEN>; merged with #51386, #53513, #54042; dated Thu, 23 Dec 2021 17:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 51386 52758 53513 54042. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 51386 52758 53513. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52758 <at> debbugs.gnu.org:


Received: (at 52758) by debbugs.gnu.org; 23 Dec 2021 18:50:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 23 13:50:01 2021
Received: from localhost ([127.0.0.1]:34962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0TA9-0001Gf-6I
	for submit <at> debbugs.gnu.org; Thu, 23 Dec 2021 13:50:01 -0500
Received: from mout.gmx.net ([212.227.15.19]:34485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1n0TA6-0001GO-7b
 for 52758 <at> debbugs.gnu.org; Thu, 23 Dec 2021 13:49:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1640285389;
 bh=d8w3OAA+3n/eBmoG874OrFAPc3/3A6W0s3LMXojDwqk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=OzM640cWd1c70GW4Kgh+1eb0XFpSqOGzgxxtAwzkGJTuGvRenlsKvID44S8ijTp6R
 K/ZeI9mWDbEGFPvezlQI0/CAjWpZx8fQpPgA6Y/a/C4DYECLBeL5VssiLoSM/RUqi9
 RywQxw0loZt62RisHbWOMkyrT8/l1/dPqHwVgd+o=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([217.70.140.203]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M26rD-1n2xCH3PiL-002WLL; Thu, 23
 Dec 2021 19:49:48 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Bird <birdsite@HIDDEN>
Subject: Re: bug#52758: 29.0.50; Fido mode doesn't complete ssh hosts
References: <85bl171bh5.fsf@HIDDEN>
Date: Thu, 23 Dec 2021 19:49:45 +0100
In-Reply-To: <85bl171bh5.fsf@HIDDEN> (Bird's message of "Thu, 23 Dec 2021
 17:23:50 +0000")
Message-ID: <87a6grcg1i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:AJIMQRQm6f7s4YkTCm1mim1uabG3MdvQwgjlZUdFCF5svB9U/d2
 MegOW4oPyJ/uKZjdLvEh6KDquum1XZBWc6L5ZcNTmy7eimaa4hT6Fo9OCLKSO8aKbunATVt
 XVTw6GFfbpYyELEnd/Kay+fE9PrdIils6dLbTkeYDrMII6d5yT6UQ+wCO3tPn1fm080AEJW
 zn/xMQRRFd+55VDOwU0hw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5tS10wnu2hY=:7wzfdWxIRI01HOjLBoQcrW
 /kEbpypDQMeLWpRFBWjIez2ASMHA8vHF3y/kn70XneTfVDCeDBC0OamJzmDY0/4YiHsqryvEP
 ziRnaybCB6/0oG654xAcVrV8B/I30VX7oGFED1fMebXUfJIL8YG3fkWgDTb2/pSxgT4c7l+Kv
 CYJCiokNsZ7IqcC+DU+hXJmBlqZek4fSVMoJ7MUyXbTK0AT/FQtMAnJR48uhtpUeoLmZym9YG
 ImIru1V41HixBYkmOacpCIBz80+tN5ij+BCGJY4pA1ehtcqDNgpKFhvKXk0oC8DhlmcRhUqcI
 1iBCGYcHy54L9YKmnd6zFqpgcDw0uZz72YLOJtR0OanGjhh9L4qQX81i4kRs1/uPVL8ZyF8EM
 XR3MbfTPTnYmAmIvMbl41tLWML25WKUB14uanf+ZMORYsTmskG/h1ww0gONxOnldUEPU7sYy3
 NNTkSf5GctPd7XSRERiWF9NlMFjHjVu673IUO8QZSYZt6eZyOp35lPkAYxzrImbk3ZpNnqXil
 1VKy94bkXUNOeQcJTE3NK6079giumCi9TEbguxHbTg9RLO0hGa6yUHmSD5YyZvQGUOqOtQ2e9
 DeA+EIshminl7xUpG70O2W1WJQ3lXAmxmsi8TJOx0v1e/xSMENwBok5y2dNk18iuj6zeS2Hpa
 Zo0djf6ZnmUgKinU5ZJ/jlcY4LMYd8K7MJ1Se3DAX7MgffNOftHmUDjL7XYrtmG1X7O4P1jRd
 55Nhaq18eVDOibTh55Jklc4R+1/VebqItsBZN0ViXjGJvF4QpkGigAL+QKGEptdhPkmaDlQT1
 /3qTPMuHVMz/rCHvH60B6yGQFEXc1OOfohVmAEF2B7CqN0FQtg45XESYwHiSe6Gc5wv+DgNV5
 Kx8YnI3LKIDm1lqVsKBn1Dk1cFP+G6vXGTz2BiwUrISwm5X7FQifaRekxN/NbRyYDLqi6jREy
 g4j5wcgwlIBhjv/Ub2O+4u4zUF4ObMo28QOorwrwQShdivmmILtJKu++7euUyZqEvXwTAswbB
 SwHf/LeS9+kSL/GazURI2YjlzYrS3VMPiN4Y1gPPS/InicrYyCjTKPwOBarqFWGKhWmhrxGNU
 C11JRw+zC1+vZw=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52758
Cc: 52758 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Bird <birdsite@HIDDEN> writes:

> Hello,

Hi,

> If I have a host alias configured in ~/.ssh/config, then fido mode won't
> complete that while using path like: /ssh:dom<tab>
> The default emacs completion does complete the host alias.
>
> To reproduce,
>
> a. Add an entry on ~/.ssh/config like:
>
> Host newname
>      Port 22
>      HostName domain.tld
>
> Where domain.tld can be any address that can be used with ssh.
>
> b. Start emacs -Q then
>
> C-x C-f /ssh:ne<tab>
>
> Here, you can see that it is completed.
>
> c. Enable fido mode and try step b again.  This time, there is no
> completion.

This is a duplicate of bug#51386, see <https://debbugs.gnu.org/51386>.
I've merged both bugs.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52758; Package emacs. Full text available.
Merged 51386 52758. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Dec 2021 17:23:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 23 12:23:09 2021
Received: from localhost ([127.0.0.1]:34805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0Rnq-0007SH-PS
	for submit <at> debbugs.gnu.org; Thu, 23 Dec 2021 12:23:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:37886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <birdsite@HIDDEN>) id 1n0Rno-0007S9-NK
 for submit <at> debbugs.gnu.org; Thu, 23 Dec 2021 12:22:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34032)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <birdsite@HIDDEN>)
 id 1n0Rno-0004bV-3E
 for bug-gnu-emacs@HIDDEN; Thu, 23 Dec 2021 12:22:52 -0500
Received: from mail.cock.li ([37.120.193.124]:34820)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <birdsite@HIDDEN>)
 id 1n0Rnl-000757-EN
 for bug-gnu-emacs@HIDDEN; Thu, 23 Dec 2021 12:22:51 -0500
From: Bird <birdsite@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1640280164; bh=XlB8xuKmEK/QlOaUS37bErsbwo1UoOxqKrvFgLmt9uQ=;
 h=From:To:Subject:Date:From;
 b=QTV8Vm1wlu2NWHfJPJrkVsCtvB3xhegNtjtQrA5eISsnp1ojUA0v6u+MoHaOPziQj
 vVaHL2b37N5+wi3Hly330zCwYmR8qqpfZ02Roh7STedEZkRc18ST1/jeM4xJuMwakG
 LY12gn4JkHVwKQ6ih5hBCkPV4lZoMNFN172gykRE3pSOzGdfaPkc7iw8U5U8bMdK8z
 nlusRJGBX4CzzRZJEEYXtlvTvRq58WvN/nd8up0sE0LZN0QBbwl4oUeinZSTCfIkN3
 96a1mvGaqLqxVvR6MU6o0Fpw7vFCSmhUJuGEJrbIwuiAQQlbobXwA4q4DsCzefniOL
 pSTX4ECbrowAA==
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Fido mode doesn't complete ssh hosts
Date: Thu, 23 Dec 2021 17:23:50 +0000
Message-ID: <85bl171bh5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=37.120.193.124; envelope-from=birdsite@HIDDEN;
 helo=mail.cock.li
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

If I have a host alias configured in ~/.ssh/config, then fido mode won't
complete that while using path like: /ssh:dom<tab>
The default emacs completion does complete the host alias.

To reproduce,

a. Add an entry on ~/.ssh/config like:

Host newname
     Port 22
     HostName domain.tld

Where domain.tld can be any address that can be used with ssh.

b. Start emacs -Q then

C-x C-f /ssh:ne<tab>

Here, you can see that it is completed.

c. Enable fido mode and try step b again.  This time, there is no
completion.



In GNU Emacs 29.0.50 (build 4, x86_64-pc-linux-musl, X toolkit, cairo version 1.16.0, Xaw scroll bars)
 of 2021-11-20 built on laptop
Repository revision: 560a6c35cb274af6b79f89eddbdbb2fd6c00e2b0
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: void

Configured using:
 'configure --with-imagemagick --with-cairo --with-modules
 --without-dbus --without-gconf --without-gsettings
 --with-x-toolkit=lucid --prefix=/usr'

Configured features:
ACL CAIRO FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ IMAGEMAGICK JPEG JSON
LCMS2 LIBOTF LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  pdf-occur-global-minor-mode: t
  global-display-fill-column-indicator-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  repeat-mode: t
  fido-vertical-mode: t
  icomplete-vertical-mode: t
  icomplete-mode: t
  fido-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort flyspell ispell mail-extr emacsbug sendmail utf-7 imap
rfc2104 nndraft nnmh nnml gnutls network-stream nsm nnfolder nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig nntp gnus-cache gnus-sum shr
kinsoku svg dom gnus-group gnus-undo gnus-start gnus-dbus dbus xml
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time
gnus-spec gnus-int gnus-range message yank-media rmc puny rfc822 mml
mml-sec epa derived epg rfc6068 epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
mail-utils mm-util mail-prsvr tsdh-dark-theme collegenotes org-tempo org
ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete pcomplete org-list org-faces
org-entities noutline outline org-version ob-emacs-lisp ob-core ob-eval
org-table oc-basic bibtex iso8601 time-date ol rx org-keys oc org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs tempo pdf-occur
ibuf-ext ibuffer ibuffer-loaddefs tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local find-func cedet pdf-isearch let-alist pdf-misc
imenu pdf-tools compile comint ansi-color ring cus-edit cus-load
wid-edit pdf-view bookmark text-property-search pp jka-compr pdf-cache
pdf-info tq pdf-util advice format-spec pdf-macs image-mode dired
dired-loaddefs exif cl-extra use-package-ensure use-package-core
easy-mmode display-fill-column-indicator display-line-numbers repeat
icomplete help-mode info package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map url-vars seq gv subr-x
byte-opt bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
inotify lcms2 dynamic-setting font-render-setting cairo x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 236946 21565)
 (symbols 48 25124 4)
 (strings 32 85598 4364)
 (string-bytes 1 2874364)
 (vectors 16 45466)
 (vector-slots 8 533999 22087)
 (floats 8 306 265)
 (intervals 56 399 0)
 (buffers 992 21))




Acknowledgement sent to Bird <birdsite@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52758; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 17 Feb 2022 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.